chemistry_starters/views/static_content.py
"""
Routes for the static content
"""

from flask import Blueprint, send_from_directory

from chemistry_starters import app

static_content = Blueprint("static_content", __name__)


@static_content.route("/jquery/<path:filename>")
def jquery_static(filename):
    return send_from_directory(
        app.config.get("JQUERY_PATH", app.root_path + "/jquery/"), filename
    )


@static_content.route("/jquery-ui/<path:filename>")
def jquery_ui_static(filename):
    return send_from_directory(
        app.config.get("JQUERY_UI_PATH", app.root_path + "/jquery-ui/"), filename
    )


@static_content.route("/pl/<path:filename>")
def pl_static(filename):
    return send_from_directory(app.root_path + "/pl/", filename)

chemistry_starters/templates/mifare_saved.html
{% extends 'root.html' %}
{% block body %}
<h1>Chemistry Starters Registration for {{ registrant }}</h1>
<p>
The Mifare signoff has been recorded. {% if to_sign|length == 0 %}The Mifare part of the registration form is now complete and an email will be sent to the admin team to ask them to process the form.{% else %}{{ to_sign[0] }} still needs to sign before access can be granted.{% endif %}
</p>
<p>
Swipe card access will be granted after the main registration form has been processed. 
</p>
<a href="{{ url }}">{{ url }}</a>
{% endblock %}

chemistry_starters/templates/mifare_sign.html
{% extends 'root.html' %}
{% block body %}
<h1>Chemistry Starters Registration</h1>

<h2>Registration for {{ starter_name }}</h2>

<p>Basic access will be granted on completion of registration. This includes
access to the two main entrances (West end Reception and Scott Polar), Library,
Goods-in, Todd-Hamied, Basement inner ring (including male and female toilets),
Scott Polar east end Mezzanine supervision area and scheduled access to NMR B28.
</p>

<form method="POST">
<br />
{{ form['mifare_areas'].label }} {{ form['mifare_areas'] }}
<br />
<input type="submit" value="I, {{ signer_name }}, agree that access may be permitted as as described above" />
</form>

{% endblock %}

chemistry_starters/templates/root.html
<!DOCTYPE html>

<!--[if lt IE 7]>      <html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en" class="no-js lt-ie9 lt-ie8 lt-ie7"> <![endif]-->
<!--[if IE 7]>         <html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en" class="no-js lt-ie9 lt-ie8"> <![endif]-->
<!--[if IE 8]>             <html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en" class="no-js lt-ie9"> <![endif]-->
<!--[if gt IE 8]><!--> <html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en" class="no-js"><!--<![endif]-->
<head>
  <meta http-equiv="Content-Type" content="text/html" />

  <title>{% block title %}{% if title is defined %}{{ title }}{% else %}Starters Registration for Yusuf Hamied Department of Chemistry{% endif %}{% endblock %}</title>

<meta name="viewport" content="width=device-width, initial-scale=1.0" />

<link rel="shortcut icon" href="/pl/images/favicon.ico" />
  <link rel="apple-touch-icon-precomposed" href="/images/GreenRaven144.png" />

<!-- CSS : implied media="all" -->
  <link rel="stylesheet" href="/pl/css/full-stylesheet.css" />
  <link rel="stylesheet" href="/pl/css/apps.css" />
<!--  <link rel="stylesheet" href="/pl/css/custom.css" /> -->
  <link rel="stylesheet" href="{{ url_for('static',filename='js/chosen-1.8.7/chosen.css',_external=True) }} ">

<!-- use my jquery not the project light one -->
<!-- have to load it here so we can render templated scripts inside page templates -->
  <link rel="stylesheet" type="text/css" href="{{ url_for('static_content.jquery_ui_static',filename='themes/base/jquery-ui.css',_external=True) }}">
  <script type="text/javascript" src="{{ url_for('static_content.jquery_static',filename='jquery.min.js') }}"></script>
  <!-- jquery-ui -->
  <script type="text/javascript" src="{{ url_for('static_content.jquery_ui_static',filename='jquery-ui.min.js') }}"></script>

<!-- starters css -->
  <link rel="stylesheet" type="text/css" href="{{ url_for('static', filename='css/style.css', _external=True) }}">

<script type="text/javascript">  document.documentElement.className += " js";</script>

<!-- <link rel="stylesheet" href="/raven.css" /> -->

<script type="text/javascript">
 <!--

function init(){
   if (self != top) top.location = self.location;
     }
 // -->
 </script>
</head>
<body onload="init()">
        <a href="#nav" class="campl-skipTo" tabindex="1">skip to navigation</a>
        <a href="#content" class="campl-skipTo" tabindex="2">skip to content</a>

<div class="campl-row campl-global-header">
                <div class="campl-wrap clearfix">       
                        <div class="campl-header-container campl-column12" id="global-header-controls">
                                <a href="http://www.cam.ac.uk/" class="campl-main-logo">
                                        <img alt=""  src="/pl/images/interface/main-logo-small.png" />
                                </a>
                        </div>

<div class="campl-column2">
                        </div>
                </div>          
        </div>  

<div class="campl-row campl-page-header global-page">
                <div class="campl-wrap clearfix">
                        <div class="campl-column12">
                                <div class="campl-content-container">
                    <p class="campl-page-title">Yusuf Hamied Department of Chemistry</p>

</div>
                        </div>
                </div>
        </div>
        <div class="campl-row campl-content"  id="content">
                <div class="campl-wrap clearfix">

<div class="campl-column12 campl-main-content">

                                <div class="campl-column10">
                                        <div class="campl-content-container">
  <div class="content">
      {% block body %}
       <h1>{{ title }}</h1>
       {{ body }}
      {% endblock %}
  </div>
  <div class="footer">
      {% block footer %}
      <hr />
      <p>If you have any difficulty using this online registration system please contact one of the following:</p>
      <p>Chemistry and SPRI Computer Officers <a href="mailto:support@ch.cam.ac.uk">support@ch.cam.ac.uk</a> </p>
      <p>Administration Office Registration mailbox <a href="mailto:registration@ch.cam.ac.uk">registration@ch.cam.ac.uk</a> </p>
      {% endblock %}
  </div>

                                </div>

                         </div>
                </div>
        </div>
        </div>
                <div class="campl-row campl-local-footer campl-app-footer">
                        <div class="campl-wrap clearfix">
                                <div class="campl-column6 campl-footer-navigation">
                                        <p class="campl-app-footer-content">This website is provided by the  <a href="http://www.ch.cam.ac.uk/computing">Yusuf Hamied Department of Chemistry Computer Officers</a>.</p>
                                </div>
                                <div class="campl-column3 campl-footer-navigation">
                                        <div class="campl-content-container campl-navigation-list">
                                                <h3><a href="http://www.ch.cam.ac.uk/computing/contact-computer-officers">Contact us</a></h3> 
                                        </div>
                                </div>
                                <div class="campl-column3 campl-footer-navigation last">
                                        <div class="campl-content-container campl-navigation-list">
                                                <h3><a href="http://www.ch.cam.ac.uk">Yusuf Hamied Department of Chemistry</a></h3> 
                                        </div>
                                </div>
                        </div>  
                </div>

<div class="campl-row campl-global-footer">
                <div class="campl-wrap clearfix">
                        <div class="campl-column3 campl-footer-navigation">
                                <div class="campl-content-container campl-navigation-list">
                                        <p>&#169; 2020-{{ current_year }} University of Cambridge</p>
                                </div>
                        </div>
                        <div class="campl-column3 campl-footer-navigation">
                                <div class="campl-content-container campl-navigation-list">
                                        <div class="link-list">
                                                <h3><a href="http://www.cam.ac.uk/study-at-cambridge">Study at Cambridge</a></h3> 
                                </div>
                                </div>
                        </div>
                        <div class="campl-column3 campl-footer-navigation">
                                <div class="campl-content-container campl-navigation-list">
                                        <h3><a href="http://www.cam.ac.uk/about-the-university">About the University</a></h3> 
                                </div>
                        </div>
                        <div class="campl-column3 campl-footer-navigation last">
                                <div class="campl-content-container campl-navigation-list">
                                        <h3><a href="http://www.cam.ac.uk/research">Research at Cambridge</a></h3> 
                                </div>
                        </div>
                </div>  
        </div>
        <script type="text/javascript" src="/pl/js/libs/ios-orientationchange-fix.js"></script>
        <script type="text/javascript" src="/pl/js/libs/modernizr.js"></script>
        <script type="text/javascript" src="/pl/js/custom.js"></script>
        <script src="{{ url_for('static',filename='js/chosen-1.8.7/chosen.jquery.js') }}" type="text/javascript"></script>
        <script src="{{ url_for('static',filename='js/init.js') }}" type="text/javascript"></script>
</body>
</html>